diriStdDensity <- function(p = 4, parms = c(2,3,4,5), 
						pts = rep(.25, 4))
{
	if(is.vector(pts))
	{
		pts <- t(pts)
	}
	
	#evaluates the dirichlet density at a given point on the 
	#p-dimensional simplex with the given parameters
	
	first  <- (prod(gamma(parms)))^-1
	second <- gamma(sum(parms))
	thirdA <- t(t(pts)^(parms - 1))
	third  <- apply(thirdA, 1, prod)
	
	return(1/sqrt(p)*first*second*third)
}